Results 1 to 3 of 3

Thread: Problem updating firefox! (moxilla-xulrunner190-gnomevs)

  1. #1

    Default Problem updating firefox! (moxilla-xulrunner190-gnomevs)

    Hello everyone!

    I was updating my firefox to version 3.0.11, but everytime I try, the updater freezes and then show a message saying "error: user aborted". I tried to update it manually, but then it shows this message:

    "Getting mozilla-xulrunner190-gnomevfs...OK
    Installing ./rpm/x86_64/mozilla-xulrunner190-gnomevfs-1.9.0.11-1.1.1.x86_64.rpm: "XULRunner components depending on gnome-vfs"

    And it freezes.

    I opened my software manager and tried to update mozilla-xulrunner190-gnomevs, which is the only mozilla-related thing left to update, but when I click on it, the manager crashes and shows this error:

    Code:
    rpmdb: page 3117: illegal page type or format
    rpmdb: PANIC: Argumento invlido
    rpmdb: /var/lib/rpm/Packages: pgin failed for page 3117
    erro: erro db4 (-30977) de dbcursor->c_get: DB_RUNRECOVERY: Fatal error, run database recovery
    rpmdb: PANIC: fatal region error detected; run recovery
    erro: erro db4 (-30977) de db->close: DB_RUNRECOVERY: Fatal error, run database recovery
    rpmdb: PANIC: fatal region error detected; run recovery
    erro: erro db4 (-30977) de db->close: DB_RUNRECOVERY: Fatal error, run database recovery
    rpmdb: PANIC: fatal region error detected; run recovery
    erro: erro db4 (-30977) de dbenv->close: DB_RUNRECOVERY: Fatal error, run database recovery
    y2base: /usr/include/boost/intrusive_ptr.hpp:149: T* boost::intrusive_ptr<T>::operator->() const [with T = const zypp::target::rpm::RpmHeader]: Assertiva `p_ != 0' falhou.
    YaST got signal 6 at YCP file PackagesUI.ycp:239
    /sbin/yast2: line 437: 10644 Abortado                $ybindir/y2base $module "$@" "$SELECTED_GUI" $Y2_GEOMETRY $Y2UI_ARGS
    Anyone have a clue of what may be going on?

    Thanks a lot!

  2. #2

    Default Re: Problem updating firefox! (moxilla-xulrunner190-gnomevs)

    Try "rpm --rebuilddb" as root?

  3. #3
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,723
    Blog Entries
    20

    Default Re: Problem updating firefox! (moxilla-xulrunner190-gnomevs)

    Open a terminal and try this:

    Code:
    sudo rpmdb --rebuilddb
    Then in su terminal do:

    Code:
    zypper ref
    Now try updates
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •